Subject: Re: [PATCH] net: phy: adin1100: Fix nullptr exception for phy interrupts

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 18 Jan 2024 23:34:05 +0000

On Thu, Jan 18, 2024 at 10:24:03PM +0100, Heiner Kallweit wrote:
> This would save us here, but can't prevent that phydev->irq may be set
> even later. I think, ideally nobody should ever access phydev->irq directly.
> There should be a setter which performs the needed checks.
> But it may be a longer journey to make parts of struct phy_device private
> to phylib.

Yes, I have been thinking over the last couple of days through reading
these emails that's a path that's needed to go down to stop drivers
poking around in stuff that should be private to phylib. So it's
something I would support.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!